% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/calculate-expression.R
\name{calculateCPM}
\alias{calculateCPM}
\title{Calculate counts per million (CPM)}
\usage{
calculateCPM(object, use.size.factors = TRUE)
}
\arguments{
\item{object}{an \code{SingleCellExperiment} object}

\item{use.size.factors}{a logical scalar specifying whether
the size factors should be used to construct effective library
sizes, or if the library size should be directly defined as
the sum of counts for each cell.}
}
\value{
Matrix of CPM values.
}
\description{
Calculate count-per-million (CPM) values from the count data.
}
\examples{
data("sc_example_counts")
data("sc_example_cell_info")
example_sce <- SingleCellExperiment(
assays = list(counts = sc_example_counts), colData = sc_example_cell_info)
cpm(example_sce) <- calculateCPM(example_sce, use.size.factors = FALSE)

}
